=== debian/changelog ===
multipath-tools (0.8.3-1ubuntu2.4) focal; urgency=medium

  * Use Debian-specific partx path in kpartx rule (LP: #2064201)
    - d/p/lp2064201-kpartx-rules-use-Debian-specific-partx-path.patch

 -- Chengen Du <chengen.du@canonical.com>  Tue, 30 Apr 2024 07:49:10 +0000

multipath-tools (0.8.3-1ubuntu2.3) focal; urgency=medium

  [ Jorge Merlino ]
  * Multipath devices not removed with high load (LP: #2039719)
    - d/p/lp2039719-1-libmultipath-make-dm_get_map-status-return-codes-sym.patch:
      change the return value of some functions from a boolean to symbolic codes 
      to differentiate errors
    - d/p/lp2039719-2-multipathd-fix-check_path-errors-with-removed-map.patch:
      use the new error codes to change the error processing on the 
      check_path() procedure

  [ Mauricio Faria de Oliveira ]
  * Add upstream fixes:
    - d/p/lp2039719-3-multipathd-fix-NULL-dereference-in-check_path.patch
    - d/p/lp2042366-dm_get_map-fix-segfault-when-can-t-found-target.patch
      (LP: #2042366)

 -- Jorge Merlino <jorge.merlino@canonical.com>  Tue, 07 Nov 2023 18:20:27 -0300

multipath-tools (0.8.3-1ubuntu2.2) focal; urgency=medium

  * Do not install init scripts (LP: #2000186)
    - d/multipath-tools.maintscript: remove /etc/init.d/multipath-tools
    - d/rules: do not call dh_installinit

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Mon, 24 Jul 2023 16:06:36 -0700

multipath-tools (0.8.3-1ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: symlink attack
    - debian/patches/CVE-2022-41973.patch: use /run instead of /dev/shm in
      .gitignore, Makefile.inc, libmultipath/defaults.h,
      multipath/Makefile, multipath/multipath.rules.in,
      multipath/tmpfiles.conf.in.
    - debian/multipath-tools.install, debian/multipath-udeb.install:
      install tmpfiles.d/multipath.conf.
    - debian/rules: copy udev rule after build.
    - CVE-2022-41973
  * SECURITY UPDATE: authorization bypass
    - debian/patches/CVE-2022-41974.patch: ignore duplicated multipathd
      command keys in multipathd/main.c, multipathd/cli.c.
    - CVE-2022-41974

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Oct 2022 11:14:23 -0400

multipath-tools (0.8.3-1ubuntu2) focal; urgency=medium

  * Enable udebs on riscv64 to fix FTBFS.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 18:17:20 +1000

multipath-tools (0.8.3-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Stop producing udebs on i386 where we no longer have d-i or a kernel.
    - Fix debian/rules to not explode when building without udebs on i386.
    - Don't build the multipath-tools binary package on i386; we only want
      kpartx.
    - d/control:
      - multipath-udeb: add sg3-udeb Depends
    - d/rules: Move udev rules to priority 95, because rules that load modules
      should be >90.
    - d/multipath-tools.preinst: modprobe dm-multipath; This will make sure
      that multipathd will be able to start.
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - patches to multipath source
      - d/p/1000--set-umask-in-multipathd.patch: Set umask in multipathd.
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted
        files some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the device
        itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths
        by default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
   - multipath initramfs fixes for booting from multipathed devices
      - d/initramfs/hooks: also copy wwids file on the installed system to
        ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before the call to
        resolve_device() in local_mount_root(), so the by-uuid/ symlinks have a
        chance to be updated by the multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to assign names
        nor change /etc/multipath/bindings during initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
   - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
     libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
     which is not available in the installer environment.
     - d/p/disable-fexceptions-udeb.patch: conditionally disable -fexceptions
       with CFLAGS_DISABLE_FEXCEPTIONS.
     - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
   - Remove d/initramfs/local-top (redundant with other initramfs scripts):
     - init-top: take over loading modules (dm-multipath and SCSI device
       handlers); move the missing dm-emc there (now scsi-dh-emc;
       see BTS 567014).
     - d/rules: do not install local-top anymore.
     - remove d/initramfs/local-top
    - Fixes typo in package description (availibility -> availability)
      (LP 1231182)
    - debian/initramfs/local-bottom: wait for the multipathd unix socket
      to close, so to avoid multipathd.socket unit failure. (LP 1682178)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to change
      from the default selector and should be able to do so. (LP 1673350)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve

