## multipath-tools 0.8.4

=== debian/changelog ===
multipath-tools (0.8.4-4ubuntu2) groovy; urgency=medium

  * Add README.alua to docs section

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 11 Sep 2020 17:39:12 +0000

multipath-tools (0.8.4-4ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required
        directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
    - d/control: multipath-udeb: add sg3-udeb Depends
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      - init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      - d/rules: do not install local-top anymore.
      - remove d/initramfs/local-top
    - d/control: Enable udebs on riscv64 to fix FTBFS.
    - d/control, d/rules: i386 related fixes
      - Stop producing udebs on i386 where we no longer have d-i or a kernel.
      - Fix debian/rules to not explode when building without udebs on i386.
      - Don't build the multipath-tools binary package on i386; we only want
        kpartx.
    - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - d/p/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - debian/tests/tgtbasedmpaths:
      - Add sleep to allow for device creation
      - Use stable wwn-* names in autopkgtest that work with or without
        friendly names, as scsi-${DM_NAME} is not a stable symlink name.
  * Dropped changes, superseeded by systemd switch to service script:
    - d/multipath-tools.preinst: modprobe dm-multipath; This will make
      sure that multipathd will be able to start.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Aug 2020 00:12:32 +0200

multipath-tools (0.8.4-4) unstable; urgency=medium

  * [637efc8] Remove overly complicated INSTALL_PROGRAM setup.
    Thanks to Simon McVittie <smcv@debian.org> (Closes: #968528)
  * [d793f77] kpartx, multipath-tools: remove pre-oldstable upgrade code
  * [aa2fab9] d/*: trim trailing whitespace
  * [1657612] multipath-tools, multipath-tools-boot: update lintian overrides
  * [825c1e2] debian/po/de.po: recode to UTF-8
  * [ce008ac] Allow (partial) parallel builds
  * [6383d2d] d/control: remove relationships satisfied in oldstable
  * [bf0e585] d/control: remove version constraints satisfied in oldstable
  * [67cff60] Declare debhelper compat version using debhelper-compat
  * [6992798] Apply to-be-upstream patch for parallel builds.
    Thanks to Christian Hesse <mail@eworm.de>
  * [058d79f] Use to-be-upstream patch for json-c update

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 30 Aug 2020 01:14:10 +0000

multipath-tools (0.8.4-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)

