=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian DM Multipath Team <team+linux-blocks@tracker.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Ritesh Raj Sarraf <rrs@debian.org>, Chris Hofstaedtler <zeha@debian.org>
-Build-Depends: debhelper (>= 9.20160709), po-debconf, libdevmapper-dev (>= 2:1.02.20), libreadline-dev, libaio-dev, dpkg-dev (>= 1.16.1~), libudev-dev, libsystemd-dev, systemd, liburcu-dev, pkg-config, libjson-c-dev
+Build-Depends: debhelper-compat (= 9), po-debconf, libdevmapper-dev, libreadline-dev, libaio-dev, libudev-dev, libsystemd-dev, systemd, liburcu-dev, pkg-config, libjson-c-dev
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/multipath-tools.git
 Vcs-Browser: https://salsa.debian.org/linux-blocks-team/multipath-tools
 Standards-Version: 3.9.8
@@ -12,9 +12,7 @@
 
 Package: multipath-tools
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>> 136-1), kpartx (>= ${binary:Version}), lsb-base (>= 3.0-6), libaio1 (>= 0.3.106-8), sg3-utils-udev
-Breaks: multipath-tools-initramfs (<= 1.0.1),
- multipath-tools-boot (<= 0.4.8+git0.761c66f-2~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, udev, kpartx (>= ${binary:Version}), lsb-base, libaio1, sg3-utils-udev
 Suggests: multipath-tools-boot
 Description: maintain multipath block device access
  These tools are in charge of maintaining the disk multipath device maps and
@@ -25,8 +23,7 @@
 
 Package: kpartx
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, udev (>> 136-1), dmsetup (>= 2:1.02.24)
-Replaces: multipath-tools (<< 0.4.7-3)
+Depends: ${shlibs:Depends}, ${misc:Depends}, udev, dmsetup
 Description: create device mappings for partitions
  Kpartx can be used to set up device mappings for the partitions of any
  partitioned block device. It is part of the Linux multipath-tools.
@@ -40,11 +37,9 @@
 
 Package: multipath-tools-boot
 Architecture: all
-Depends: ${misc:Depends}, initramfs-tools | linux-initramfs-tool, lsb-base (>= 3.0-6),
+Depends: ${misc:Depends}, initramfs-tools | linux-initramfs-tool, lsb-base,
  multipath-tools (>= ${source:Version}), multipath-tools (<< ${source:Version}.1~),
  kpartx-boot (= ${binary:Version})
-Replaces: multipath-tools-initramfs (<< 1.0.1+nmu1), multipath-tools (<< 0.5.0+git1.656f8865-6)
-Breaks: multipath-tools-initramfs (<< 1.0.1+nmu1), multipath-tools (<< 0.5.0+git1.656f8865-6)
 Description: Support booting from multipath devices
  This package contains the necessary support for booting from a multipath
  device:
@@ -76,4 +71,3 @@
  .
  Kpartx can be used to set up device mappings for the partitions of any
  partitioned block device. It is part of the Linux multipath-tools.
-
