=== debian/changelog ===
multipath-tools (0.8.5-1ubuntu6) hirsute; urgency=medium

  * debian/test/control:
    - use allow-stderr for kpartx-file-loopback, the new gdisks version
      displays warnings on stderr now

 -- Sebastien Bacher <seb128@debian.org>  Thu, 04 Mar 2021 12:20:20 +0100

multipath-tools (0.8.5-1ubuntu5) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:31 +0100

multipath-tools (0.8.5-1ubuntu4) hirsute; urgency=medium

  * Drop depends on udebs, such that they don't hold up any other udebs in
    the archive, especially kernel udebs. Otherwise unused in Ubuntu.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 08 Feb 2021 13:18:26 +0000

multipath-tools (0.8.5-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - multipath initramfs fixes for booting from multipathed devices:
      - d/initramfs/hooks: also copy wwids file on the installed
        system to ensure all paths come up on boot. (LP 1479929)
      - d/initramfs/hooks: install multipathd and required
        directories.
      - d/initramfs/hooks: copy multipath udev rules to initramfs
      - d/initramfs/hooks: do not copy kpartx rules to initramfs
      - d/initramfs/local-bottom: remember to stop multipathd.
      - d/initramfs/local-premount: wait for udev to settle before
        the call to resolve_device() in local_mount_root(), so the
        by-uuid/ symlinks have a chance to be updated by the
        multipath udev rules (LP 1503286).
      - d/initramfs/local-premount: Run multipath with -B so not to
        assign names nor change /etc/multipath/bindings during
        initramfs (LP 1561103)
      - d/rules: install d/initramfs/local-bottom
      - d/rules: install d/initramfs/local-premount
    - d/control: multipath-udeb: add sg3-udeb Depends
    - patches to multipath source:
      - d/p/kpartx_more_loopback_fixes.patch: fix loopback mounted files
        some more: since we stat() the loopback device node, we can't rely
        on S_ISREG() tests to handle this case, and should look at the
        device itself instead. (LP 1543430)
      - d/p/enable-find-multipaths.patch: re-enable find_multipaths by
        default -- see the removed 'add_find-multipaths.patch' (LP 1463046)
    - Split kpartx initramfs bits into kpartx-boot for dmraid (LP 941874)
      - d/initramfs/kpartx.hook
      - d/kpartx-boot.postinst
      - d/kpartx-boot.postrm
      - d/control: Add kpartx-boot package for dmraid
      - d/rules: Install kpartx initramfs hook
      - d/kpartx.install: install all arch /lib* kpartx udev rules
    - debian/multipath-tools.dm-mpath-lvm.udev: Adjust initramfs integration
      for new udev rules
    - Remove d/initramfs/local-top (redundant with other initramfs scripts):
      - init-top: take over loading modules (dm-multipath and SCSI device
        handlers); move the missing dm-emc there (now scsi-dh-emc; see
        BTS 567014).
      - d/rules: do not install local-top anymore.
      - remove d/initramfs/local-top
    - d/control: Enable udebs on riscv64 to fix FTBFS.
    - d/control, d/rules: i386 related fixes
      - Stop producing udebs on i386 where we no longer have d-i or a kernel.
      - Fix debian/rules to not explode when building without udebs on i386.
      - Don't build the multipath-tools binary package on i386; we only want
        kpartx.
    - Disable -fexceptions on multipath-udeb (LP 1489379): the flag causes
      libchecktur.so to link with libgcc_s.so.1 (even with -static-libgcc),
      which is not available in the installer environment.
      - d/p/disable-fexceptions-udeb.patch: conditionally disable
        -fexceptions with CFLAGS_DISABLE_FEXCEPTIONS.
      - d/rules: set CFLAGS_DISABLE_FEXCEPTIONS to build multipath-udeb.
    - d/p/kpartx-print-loop-deleted-to-stdout-not-stderr.patch: Print loop
      deleted message to stdout again, not stderr; to fix autopkgtest
    - d/multipath.conf: Install friendly names multipath.conf by default,
      instead of generating it in every installer.
    - d/rules: Move udev rules to priority 95, because rules that load
      modules should be >90.
    - d/p/no-start-in-containers.patch: Do not attempt to start
      multipath-tools in containers, should switch for on-demand udev/socket
      based activation in the future. (LP 1823093)
    - d/p/kpartx-Improve-finding-loopback-device-by-file.patch: Improve
      finding loopback devices (LP 1747044)
    - debian/initramfs/hooks: Add dm-queue-length: users may want to
      change from the default selector and should be able to do so.
      (LP 1673350)
    - debian/initramfs/local-bottom: wait for the multipathd unix
      socket to close, so to avoid multipathd.socket unit failure.
      (LP 1682178)
    - debian/tests/tgtbasedmpaths:
      - Add sleep to allow for device creation
      - Use stable wwn-* names in autopkgtest that work with or without
        friendly names, as scsi-${DM_NAME} is not a stable symlink name.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Dec 2020 22:51:36 +0100

multipath-tools (0.8.5-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * [9e88f52] Add README.alua to docs section

  [ Christian Ehrhardt ]
  * [7860503] d/t/tgtbasedmpaths: reduce memory pressure avoiding OOM
    triggered false positives

  [ Chris Hofstaedtler ]
  * [859ade1] Update upstream git (and our debian/watch) URL
  * [bdc291a] New upstream version 0.8.5
  * [83060d2] Rebase patches
  * [cb467ba] multipath.rules: Avoid usrmerge paths (Closes: #973853)
  * [61df246] kpartx: update package description (Closes: #690995)
  * [3262269] Drop 0001-Blacklist-cciss-devices.patch.
    Upstream has switched to an exclusive list of devices by default.
    Only sd, dasd and nvme devices are seen by multipath now. This makes
    the cciss exclusion obsolete.
  * [602298a] Follow README.md rename
  * [2018daf] Remove obsolete override for lintian tag

