=== debian/control ===
--- 
+++ 
@@ -26,7 +26,10 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, udev, dmsetup
 Description: create device mappings for partitions
  Kpartx can be used to set up device mappings for the partitions of any
- partitioned block device. It is part of the Linux multipath-tools.
+ partitioned block device.
+ .
+ It is part of the Linux multipath-tools, but is useful on any
+ device-mapper using system.
 
 Package: kpartx-boot
 Architecture: all
@@ -53,7 +56,6 @@
 Package: multipath-udeb
 Package-Type: udeb
 Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}, multipath-modules, kpartx-udeb, sg3-udeb
 Section: debian-installer
 Description: maintain multipath block device access - udeb package
  This is a udeb, or a microdeb, for the debian-installer.
@@ -64,7 +66,6 @@
 Package: kpartx-udeb
 Package-Type: udeb
 Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: debian-installer
 Description: create device mappings for partitions - udeb package
  This is a udeb, or a microdeb, for the debian-installer.
