=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,6 @@
 #!/usr/bin/make -f
 
 INITRAMFS=$(CURDIR)/debian/multipath-tools-boot/usr/share/initramfs-tools/
-
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-        INSTALL_PROGRAM = install -s
-else
-        INSTALL_PROGRAM = install
-endif
 
 ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH),i386)
         ADD_UDEB = --no-add-udeb
@@ -39,11 +33,10 @@
 	[ ! -f kpartx/del-part-nodes.rules ] || cp kpartx/del-part-nodes.rules debian/kpartx.del-part-nodes.udev
 	[ ! -f kpartx/dm-parts.rules ] || cp kpartx/dm-parts.rules debian/kpartx.dm-parts.udev
 	[ ! -f kpartx/kpartx.rules ] || cp kpartx/kpartx.rules debian/kpartx.udev
+	[ ! -f multipath/multipath.rules ] || cp multipath/multipath.rules debian/multipath.udev
 	[ ! -f multipath/11-dm-mpath.rules ] || cp multipath/11-dm-mpath.rules debian/dm-mpath.udev
 
-	dh_auto_build -- $(OPTFLAGS) LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1
-
-	[ ! -f multipath/multipath.rules ] || cp multipath/multipath.rules debian/multipath.udev
+	dh_auto_build --parallel -- $(OPTFLAGS) LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1
 
 	touch $@
 
@@ -51,11 +44,11 @@
 build-multipath-udeb-stamp:
 	dh_testdir
 
-	DEB_CFLAGS_MAINT_APPEND="-static-libgcc" CFLAGS_DISABLE_FEXCEPTIONS=1 dh_auto_build -- $(OPTFLAGS) LIB=/lib USE_SYSTEMD=0
+	DEB_CFLAGS_MAINT_APPEND="-static-libgcc" CFLAGS_DISABLE_FEXCEPTIONS=1 dh_auto_build --parallel -- $(OPTFLAGS) LIB=/lib USE_SYSTEMD=0
 	
 	# store files for install target
 	mkdir -p $(CURDIR)/debian/tmp-multipath-udeb/sbin
-	$(MAKE) install INSTALL_PROGRAM=$(INSTALL_PROGRAM) DESTDIR=$(CURDIR)/debian/tmp-multipath-udeb LIB=/lib USE_SYSTEMD=0
+	$(MAKE) -j1 install DESTDIR=$(CURDIR)/debian/tmp-multipath-udeb LIB=/lib USE_SYSTEMD=0
 
 	touch $@
 
@@ -103,7 +96,7 @@
 	dh_installdirs
 
 	mkdir -p $(CURDIR)/debian/tmp/sbin
-	$(MAKE) install INSTALL_PROGRAM=$(INSTALL_PROGRAM) DESTDIR=$(CURDIR)/debian/tmp LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1
+	$(MAKE) -j1 install DESTDIR=$(CURDIR)/debian/tmp LIB=/lib SYSTEMDPATH=/lib USE_SYSTEMD=1
 	install -m 755 debian/dmsetup_env $(CURDIR)/debian/tmp/lib/udev/
 	mkdir -p $(CURDIR)/debian/tmp/etc
 	cp debian/multipath.conf $(CURDIR)/debian/tmp/etc
@@ -117,6 +110,8 @@
 	dh_installchangelogs -i
 	dh_installdocs -i
 	dh_installexamples -i
+	dh_installinit -pmultipath-tools-boot --name=multipath-tools-boot --no-start -- start 21 S .
+	dh_installinit -pmultipath-tools-boot
 	dh_installdebconf -pmultipath-tools-boot
 	dh_installman -i
 	dh_compress -i
@@ -135,6 +130,7 @@
 	dh_installexamples -a
 	dh_lintian -a
 	dh_systemd_enable -pmultipath-tools multipathd.service
+	dh_installinit -pmultipath-tools
 	dh_installudev -pkpartx --priority=95
 	dh_installudev -pkpartx --name=dm-parts --priority=56
 	dh_installudev -pkpartx --name=del-part-nodes --priority=68
@@ -156,4 +152,7 @@
 	dh_builddeb -a $(skip_packages)
 
 binary:	binary-indep binary-arch
-.PHONY: binary binary-arch binary-indep unpack configure build clean 
+.PHONY: binary binary-arch binary-indep unpack configure build clean
+
+# We build the same tree twice, this cannot happen in parallel.
+.NOTPARALLEL:
