=== debian/tests/control ===

Tests: kpartx-file-loopback
Depends: kpartx, qemu-utils, gdisk
Restrictions: needs-root, isolation-machine, allow-stderr

Tests: tgtbasedmpaths
Depends: multipath-tools, tgt, open-iscsi, fio, lsscsi
Restrictions: needs-root, isolation-machine, allow-stderr
